## ros-foxy-rviz-visual-testing-framework 8.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_visual_testing_framework)

# Options to decide whether or not the visual test will run.
option(EnableVisualTests "decides whether or not enable the tests")

# Path variables needed to save and find screenshots for image comparison.
add_definitions(-D_BUILD_DIR_PATH="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions(-D_SRC_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

# Creates a directory where the test and reference screenshots will be saved.
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/test_images)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test/reference_images)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

find_package(ament_cmake REQUIRED)

find_package(rviz_common REQUIRED)

find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets Test)

find_package(ament_cmake_gtest REQUIRED)
ament_find_gtest()

set(visual_test_framework_source_files
  include/rviz_visual_testing_framework/page_objects/base_page_object.hpp
  src/page_objects/base_page_object.cpp
  include/rviz_visual_testing_framework/page_objects/page_object_with_window.hpp
  src/page_objects/page_object_with_window.cpp
  src/internal/rviz_scene_test.cpp
  include/rviz_visual_testing_framework/internal/rviz_scene_test.hpp
  include/rviz_visual_testing_framework/internal/display_handler.hpp
  src/internal/display_handler.cpp
  src/internal/image_tester.cpp
  include/rviz_visual_testing_framework/internal/image_tester.hpp
  include/rviz_visual_testing_framework/test_helpers.hpp
  src/test_helpers.cpp
  include/rviz_visual_testing_framework/internal/executor.hpp
  src/internal/executor.cpp
  include/rviz_visual_testing_framework/internal/transform_message_creator.hpp
  src/internal/transform_message_creator.cpp
  include/rviz_visual_testing_framework/internal/visual_test.hpp
  src/internal/visual_test.cpp
  include/rviz_visual_testing_framework/visual_test_fixture.hpp
  src/visual_test_fixture.cpp
  include/rviz_visual_testing_framework/visual_test_publisher.hpp
)

set(visual_tests_target_libaries
  rviz_common::rviz_common
  Qt5::Widgets
  Qt5::Test)

# TODO(wjwwood): this block is to setup the windeployqt tool, could be removed later.
if(Qt5_FOUND AND WIN32 AND TARGET Qt5::qmake AND NOT TARGET Qt5::windeployqt)
  get_target_property(_qt5_qmake_location Qt5::qmake IMPORTED_LOCATION)

  execute_process(
    COMMAND "${_qt5_qmake_location}" -query QT_INSTALL_PREFIX
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE qt5_install_prefix
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
endif()

add_library(rviz_visual_testing_framework STATIC ${visual_test_framework_source_files})

target_include_directories(rviz_visual_testing_framework
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    ${GTEST_INCLUDE_DIRS})

target_link_libraries(rviz_visual_testing_framework
  ${visual_tests_target_libaries})

# export information to downstream packages
ament_export_targets(rviz_visual_testing_framework)
ament_export_dependencies(Qt5)
ament_export_dependencies(rviz_common)

ament_export_include_directories(include)

install(
  TARGETS rviz_visual_testing_framework
  EXPORT rviz_visual_testing_framework
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  DIRECTORY config
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  # TODO(wjwwood): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-rviz-visual-testing-framework (8.2.8-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.2.7-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.2.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Feb 2022 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.2.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Oct 2021 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.2.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.2.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.2.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.2.1-1focal) focal; urgency=high

  * Update maintainer list (#619 <https://github.com/ros2/rviz/issues/619>)
  * changelogs
  * Contributors: Michael Jeronimo, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.2.0-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.1.1-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.0.2-1focal) focal; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@openrobotics.org>  Thu, 21 May 2020 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.0.1-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Changed to use ``ament_export_targets()``. (#525 <https://github.com/ros2/rviz/issues/525>)
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Changed to install RViz configs for visual tests. (#487 <https://github.com/ros2/rviz/issues/487>) (#498 <https://github.com/ros2/rviz/issues/498>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas

 -- William Woodall <william@openrobotics.org>  Fri, 01 May 2020 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (7.0.3-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (7.0.2-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (7.0.1-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (7.0.0-1focal) focal; urgency=high

  * Fix typos in visual testing framework documentation (#416 <https://github.com/ros2/rviz/issues/416>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Contributors: Hunter L. Allen, Jacob Perron

 -- William Woodall <william@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (6.1.1-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (6.1.0-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (6.0.0-1focal) focal; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (5.1.0-1focal) focal; urgency=high

  * Migrate scalar displays, i.e. temperature, illuminance, relative humidity, and fluid pressure (#367 <https://github.com/ros2/rviz/issues/367>)
  * Contributors: GW1708

 -- William Woodall <william@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-foxy-rviz-visual-testing-framework (5.0.0-1focal) focal; urgency=high

  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Increased visual testing stability (#344 <https://github.com/ros2/rviz/issues/344>)
  * Minor cleanup and fixes (#336 <https://github.com/ros2/rviz/issues/336>)
    * Fix environment for colcon builds (no appends necessary)
    * Fix warning in visual_test_fixture.cpp and add -Werror option in CMakeLists.txt
    * Fix Qt moc warning for virtual signal
  * Changed to support uncrustify 0.67 (#333 <https://github.com/ros2/rviz/issues/333>)
    * fix closing block and tamplete indentation to comply with uncrustify 0.67
    * add space between reference and variable name
    * space before opening bracket
    * fix indend of inherited class
    * fix indent of code blocks
    * no space around -> operator


=== debian/control ===
Source: ros-foxy-rviz-visual-testing-framework
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-cppcheck <!nocheck>, ros-foxy-ament-cmake-cpplint <!nocheck>, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-cmake-uncrustify <!nocheck>, ros-foxy-rviz-common, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/rviz2
Standards-Version: 3.9.2

Package: ros-foxy-rviz-visual-testing-framework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-cmake-gtest, ros-foxy-rviz-common, ros-foxy-ros-workspace
Description: 3D testing framework for RViz.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rviz-visual-testing-framework//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
